APTITUDE(8)

NOMBRE
aptitude - interfaz de alto nivel para la gestión de paquetes

SINOPSIS

aptitude [<opciones>...] {autoclean | clean | forget-new | keep-all | update}

aptitude [<opciones>...] {full-upgrade | safe-upgrade} [<paquetes>...]

aptitude [<options>...] {build-dep | build-depends | changelog | download | forbid-version | hold | install | markauto | purge | reinstall | remove | show | showsrc | source | unhold | unmarkauto | versions} <packages>...

aptitude extract-cache-subset <directorio_de_salida> <paquetes>...

aptitude [<opciones>...] search <patrones>...

aptitude [<opciones>...] {add-user-tag | remove-user-tag} <etiqueta> <paquetes>...

aptitude [<opciones>...] {why | why-not} [<patrones>...] <paquete>

aptitude [-S <nombre_de_fichero>] [--autoclean-on-startup | --clean-on-startup | -i | -u]

aptitude help

DESCRIPCIÓN

aptitude es una interfaz de texto para el sistema de paquetes de Debian GNU/Linux.

Permite al usuario ver la lista de paquetes y realizar tareas de gestión tales como instalar, actualizar o eliminar paquetes. Puede llevar a cabo las acciones con una interfaz gráfica o en la línea de órdenes.

ACCIONES EN LA LÍNEA DE ÓRDENES

El primer argumento que no va precedido de un guión (“-”) se toma como una acción que el programa ha de llevar a cabo. Si no se especifica ninguna opción en la línea de órdenes, aptitude iniciará el modo gráfico.

Dispone de las siguientes acciones:

install
    Instala uno o más paquetes. Los paquetes deben aparecer después de la orden “install”; si un nombre de paquete contiene una tilde (“~”) o un signo de interrogación (“?”), se toma como un patrón de búsqueda y se instalará cada paquete que se corresponda con el patrón (consulte la sección “Patrones de búsqueda” en el manual de referencia de aptitude)

    Para seleccionar una versión en particular de un paquete, añada “=<versión>”: por ejemplo, “aptitude install apt=0.3.1”. De forma similar, para seleccionar un paquete de un archivo en particular, añada “/<archivo>” al nombre del paquete: por ejemplo, “aptitude install apt/experimental”. No puede definir la arquitectura y la versión de un paquete de forma simultánea.

    No tiene que instalar todos los paquetes enumerados en la línea de órdenes; puede decirle a aptitude que haga una acción diferente con cada paquete si añade un “especificador de invalidación” al nombre del paquete. Por ejemplo, aptitude remove wesnoth+ instalaría wesnoth, no lo eliminaría. Están disponibles los siguientes “especificadores de invalidación”:

    <paquete>+
        Instala <paquete>.

        If the package was not installed, it is marked as manually installed, and the dependencies newly installed are marked with the automatic flag. If the package or the dependencies were already installed, the automatic flag is preserved. See the section about automatic installations in the documentation for more information.

    <paquete>+M
        Instala el <paquete>, y lo marca inmediatamente como instalado automáticamente (observe que si nada depende del <paquete>, éste se eliminaría inmediatamente).

    <paquete>-
        Elimina <paquete>.

    <paquete>_
        Purga el <paquete>: lo elimina junto con todos sus ficheros de configuración y de datos asociados.

    <paquete>=
        Retiene el <paquete>: impide instalar, actualizar o eliminar, así como cualquier futura actualización automática.

    <paquete>:
        Mantiene el <paquete> en su versión actual: cancela instalar, eliminar o actualizar. Al contrario que “retener” (consulte arriba) esto no impide actualizaciones automáticas en el futuro.

    <paquete>&M
        Marca el <paquete> como automáticamente instalado.

    <paquete>&m
        Marca el <paquete> como manualmente instalado.

    <package>&BD
        Install the build-dependencies of a <package>.

    Como caso especial, “install” sin argumentos procesaría cualquier acción guardada o pendiente de ejecución.

        Nota
        Once you enter Y at the final confirmation prompt, the “install” command will modify aptitude's stored information about what actions to perform. Therefore, if you issue (e.g.) the command “aptitude install foo bar” on packages previously uninstalled, and then the installation fails once aptitude has started downloading and installing packages, you will need to run “aptitude remove foo bar” to go back to the previous state (and possibly undo installations or upgrades to other packages that were affected by the “install” action).

remove, purge, reinstall
    These commands are the same as “install”, but apply the named action to all packages given on the command line for which it is not overridden.

    Por ejemplo, “aptitude remove '~ndeity'” eliminaría todos los paquetes cuyo nombre contiene “deity”.

build-depends, build-dep
    Satisface las dependencias de construcción («build-dependencies») de un paquete. Cada nombre de paquete puede ser un paquete fuente, en cuyo caso se instalarán las dependencias de compilación de ese paquete fuente; por otro lado, los paquetes binarios se encuentran de la misma manera que con la orden “install”, y así satisfacer las dependencias de compilación de los paquetes fuente que compilan esos paquetes binarios.

    De estar presente el parámetro de línea de órdenes --arch-only, sólo obedecería aquellas dependencias de compilación independientes de arquitectura (p. ej., no Build-Depends-Indep o Build-Conflicts-Indep).

markauto, unmarkauto
    Marca paquetes como automática o manualmente instalado, respectivamente. Los paquetes se especifican al igual que con la orden “install”. Por ejemplo, “aptitude markauto '~slibs'” marcaría todos los paquetes de la sección “libs” como automáticamente instalados.

    Para más información acerca de paquetes automáticamente instalados, consulte la sección “Gestionar paquetes automáticamente instalados” del manual de referencia de aptitude.

hold, unhold, keep
    Mark packages to be on hold, remove this property, or set to keep in the current state. Packages are specified in exactly the same way as for the “install” command. For instance, “aptitude hold '~e^dpkg$'” will mark all packages coming from the source package “dpkg” to be on hold.

    The difference between hold and keep is that hold will cause a package to be ignored by future safe-upgrade or full-upgrade commands, while keep merely cancels any scheduled actions on the package. unhold will allow a package to be upgraded by future safe-upgrade or full-upgrade commands, without otherwise altering its state.

keep-all
    Cancela todas las acciones programadas para cualquier paquete; se volverá al estado original cualquier paquete cuyo estado virtual indique instalar, actualizar o eliminar el paquete.

forget-new
    Olvida toda información interna relativa a qué paquetes son “nuevos” (equivale a pulsar “f” en el modo gráfico).

    This command accepts package names or patterns as arguments. If the string contains a tilde character (“~”) or a question mark (“?”), it will be treated as a search pattern and every package matching the pattern will be considered (see the section “Search Patterns” in the aptitude reference manual).

forbid-version
    Forbid a package from being upgraded to a particular version, while allowing automatic upgrades to future versions. This is useful for example to avoid a known broken version of a package, without having to set and clear manual holds.

    By default, aptitude will select the forbidden version to be the one which the package would normally be upgraded (the candidate version). This may be overridden by appending “=<version>” to the package name: for instance, “aptitude forbid-version vim=1.2.3.broken-4”.

    To revert the action, “aptitude install <package>” will remove the ban. To remove the forbidden version without installing the candidate version, the current version should be appended: “install <package>=<version>”.

update
    Actualiza la lista de paquetes disponibles desde las fuentes de apt (equivale a “apt-get update”)

safe-upgrade
    Actualiza los paquetes instalados a su versión más reciente. Los paquetes instalados no se eliminarán a menos que no se utilicen (consulte la sección “Gestionar paquetes automáticamente instalados” en la guía de referencia de aptitude). Los paquetes no instalados se pueden instalar para resolver dependencias a menos que se invoque la orden --no-new-installs.

    Si no introduce ningún <paquete> en la línea de órdenes, aptitude intentará actualizar todos los paquetes susceptibles de ello. De no ser así, aptitude intentará actualizar sólo aquellos paquetes que se deben actualizar. Puede extender <paquete> con sufijos de la misma manera que da argumentos a aptitude install, lo que le permite dar a aptitude instrucciones adicionales. Por ejemplo, aptitude safe-upgrade bash dash- intentaría actualizar el paquete bash y eliminar el paquete dash.

    A veces es necesario eliminar un paquete para poder actualizar otro; en tales situaciones esta orden no es capaz de actualizar paquetes. Utilice la orden full-upgrade para actualizar tantos paquetes como sea posible.

full-upgrade
    Upgrades installed packages to their most recent version, removing or installing packages as necessary. It also installs new Essential or Required packages. This command is less conservative than safe-upgrade and thus more likely to perform unwanted actions. However, it is capable of upgrading packages that safe-upgrade cannot upgrade.

    Si no introduce ningún <paquete> en la línea de órdenes, aptitude intenta actualizar todos los paquetes susceptibles de ello. De no ser así, aptitude intenta actualizar sólo aquellos paquetes que le indica actualizar. Puede extender el o los <paquetes> con sufijos de la misma manera que da argumentos a aptitude install, lo que le permite dar a aptitude instrucciones adicionales. Por ejemplo, aptitude safe-upgrade bash dash- intentaría actualizar el paquete bash y eliminar el paquete dash.

        Nota
        Por razones históricas, la orden se llamaba originalmente dist-upgrade, y aptitude aún reconoce dist-upgrade como sinónimo de full-upgrade.

search
    Busca paquetes que coincidan con uno de los patrones introducidos en la línea de órdenes. Se mostrarían todos los paquetes que coincidan con cualquier patrón introducido; por ejemplo “aptitude search '~N' edit” listaría todos los paquetes “nuevos” y todos aquellos paquetes cuyo nombre contenga “edit”. Para más información acerca de patrones de búsqueda, consulte la siguiente sección en la guía de referencia de aptitude “Patrones de búsqueda”.

        Nota
        En el ejemplo anterior, “aptitude search '~N' edit” tiene dos argumentos después de search, y por ello busca dos patrones: “~N” y “edit”. Como se describe en la referencia de patrones de búsqueda, un único patrón compuesto de dos patrones separados por un espacio (como “~N edit”), sólo encuentra una coincidencia si ambos patrones coinciden. Por ello, “aptitude search '~N edit' ” sólo mostrará paquetes “nuevos” cuyo nombre contenga “edit”.

    A menos que introduzca la opción -F, la salida de aptitude search tendrá este aspecto:

        i   apt                             - Advanced front-end for dpkg
        pi  apt-build                       - frontend to apt to build, optimize and in
        cp  apt-file                        - APT package searching utility -- command-
        ihA raptor-utils                    - Raptor RDF Parser utilities

    Cada resultado de la búsqueda aparece en una línea distinta. El primer carácter de cada línea indica el estado actual del paquete: los estados más comunes son p, no se encontró ninguna señal de que tal paquete exista en el sistema, c, el paquete se eliminó pero sus ficheros de configuración permanecen en el sistema, i, el paquete está instalado, y v, que significa que el paquete es virtual. El segundo carácter indica la acción programada (de existir, si no, verá un espacio en blanco) para el paquete. Las acciones principales son i, el paquete se va a instalar, d, el paquete se va a eliminar, y p, que significa que el paquete y sus ficheros de configuración se van a eliminar completamente (purgar). Si el carácter es A, es que el paquete se instaló automáticamente.

    Para una lista completa de las marcas de estado y de acción posibles, consulte la sección “Acceder a la información de los paquetes” en la guía de referencia de aptitude. Para personalizar la salida de search, consulte las opciones de línea de órdenes -F y --sort.

show
    Displays detailed information about one or more packages. If a package name contains a tilde character (“~”) or a question mark (“?”), it will be treated as a search pattern and all matching packages will be displayed (see the section “Search Patterns” in the aptitude reference manual).

    Si el nivel de verbosidad es 1 o mayor (p. ej., al menos hay un -v en la línea de órdenes), aparecerá información acerca de todas las versiones de los paquetes. De no ser así, se muestra la información acerca de la “versión candidata” (la versión que “aptitude install” descargaría).

    Puede ver información relativa a una versión diferente del paquete añadiendo =<versión> al nombre del paquete; puede ver la versión de un archivo o distribución en particular añadiendo /<archivo> o /<distribución>al nombre del paquete. De introducirse uno, solo se mostrará la versión que Ud. requirió, independientemente del nivel de verbosidad.

    Si el nivel de verbosidad es 1 o mayor, se mostrará la arquitectura del paquete, tamaño comprimido, nombre de fichero y la suma de control md5. Si el nivel de verbosidad es 2 o mayor, la versión o versiones seleccionadas se mostrarán una vez por cada archivo en el que se encontraron.

showsrc
    Displays detailed information about one or more source packages.

    This is a thin wrapper over apt(8).

source
    Downloads one or more source packages.

    This is a thin wrapper over apt(8).

versions
    Muestra las versiones de los paquetes listados en la línea de órdenes.

        $ aptitude versions wesnoth
        p   1:1.4.5-1                                                             100
        p   1:1.6.5-1                                    unstable                 500
        p   1:1.7.14-1                                   experimental             1

    Cada versión aparece en una línea separada. Los tres caracteres a la izquierda indican el estado actual, el estado planeado (de existir), y si el paquete se ha instalado automáticamente; para más información acerca de sus significados, consulte la documentación de aptitude search. A la derecha del número de versión puede ver las publicaciones en que disponen de esa versión, y la prioridad de anclaje de la versión.

    En el caso de que un nombre de paquete contenga un carácter de tilde (“~”) o signo de interrogación (“?”), se tomará como un patrón de búsqueda y mostrarán todas las versiones coincidentes (consulte la sección “Patrones de búsqueda” en el manual de referencia de aptitude. Por ejemplo, aptitude versions '~i' mostrará todas las versiones actualmente instaladas en el sistema, y nada más, ni siquiera otras versiones del mismo paquete.

        $ aptitude versions '~nexim4-daemon-light'
        Package exim4-daemon-light:
        i   4.71-3                                                                100
        p   4.71-4                                       unstable                 500
        Package exim4-daemon-light-dbg:
        p   4.71-4                                       unstable                 500

    Si la entrada es un patrón de búsqueda o si se mostrará más de una de las versiones del paquete, aptitude agrupará automáticamente la salida según el paquete, como se puede ver más arriba. Puede desactivar esto mediante --group-by=none, en cuyo caso aptitude mostrará una única lista de todas las versiones que se han encontrado, incluyendo automáticamente el nombre del paquete en cada línea de la salida.

        $ aptitude versions --group-by=none '~nexim4-daemon-light'
        i   exim4-daemon-light 4.71-3                                             100
        p   exim4-daemon-light 4.71-4                    unstable                 500
        p   exim4-daemon-light-dbg 4.71-4                unstable                 500

    Para desactivar el nombre de paquete, introduzca --show-package-names=never:

        $ aptitude versions --show-package-names=never --group-by=none '~nexim4-daemon-light'
        i   4.71-3                                                                100
        p   4.71-4                                       unstable                 500
        p   4.71-4                                       unstable                 500

    Además de las opciones anteriores, puede controlar la información que se muestra para cada versión mediante la opción de línea de órdenes -F. El orden en el que se muestran las versiones se puede controlar mediante la opción de línea de órdenes --sort. Para evitar que aptitude dé formato a la salida en forma de columnas, utilice --disable-columns.

add-user-tag, remove-user-tag
    Añade una etiqueta de usuario o quitar una etiqueta de usuario del grupo de paquetes seleccionado. Si el nombre de un paquete contiene una tilde (“~”) o un signo de interrogación (“?”), se tomará como un patrón de búsqueda y la etiqueta se añadirá o quitará a todos los paquetes que coinciden con el patrón (consulte la sección “Patrones de búsqueda” en el manual de referencia de aptitude).

    Las etiquetas de usuario son cadenas arbitrarias asociadas a un paquete. Pueden utilizarse en conjunción con el término de búsqueda ?user-tag(<etiqueta>), el cual selecciona todos los paquetes con una etiqueta de usuario que coincide con <etiqueta>.

why, why-not
    Explica la razón de que un paquete en particular no se debería, o deba, instalar en el sistema.

    Esta orden busca paquetes que requieren o entran en conflicto con el paquete dado. Muestra una secuencia de dependencias que llevan al paquete objetivo, acompañado de una nota que indica el estado de instalación de cada paquete en la cadena de dependencias.

        $ aptitude why kdepim
        i   nautilus-data Recomienda nautilus
        i A nautilus      Recomienda desktop-base (>= 0.2)
        i A desktop-base  Sugiere   gnome | kde | xfce4 | wmaker
        p   kde           Depende de   kdepim (>= 4:3.4.3)

    La orden why busca una cadena de dependencias que instala el paquete nombrado en la línea de órdenes, tal y como se ve arriba. Tenga en cuenta que la dependencia que aptitude ha generado en este caso es sólo una sugerencia. Esto se debe a que ningún paquete instalado actualmente en el sistema depende o recomienda el paquete kdepim; de haber una dependencia más fuerte, aptitude la habría mostrado.

    Al contrario, why-not encuentra una cadena de dependencias que lleva a un conflicto con el paquete objetivo.

        $ aptitude why-not textopo
        i   ocaml-core          Depende de   ocamlweb
        i A ocamlweb            Depende de   tetex-extra | texlive-latex-extra
        i A texlive-latex-extra tiene conflictos con textopo

    If one or more <pattern>s are present (in addition to the mandatory last argument, which should be a valid <package> name), then aptitude will begin its search at these patterns. That is, the first package in the chain it prints to explain why <package> is or is not installed, will be a package matching the pattern in question. The patterns are considered to be package names unless they contain a tilde character (“~”) or a question mark (“?”), in which case they are treated as search patterns (see the section “Search Patterns” in the aptitude reference manual).

    Si no introduce ningún patrón, aptitude busca cadenas de dependencias qué se inician en paquetes manualmente instalados. Esto muestra con efectividad los paquetes que han causado o causarían que se instalase un paquete en particular.

        Nota
        aptitude why no ejecuta una resolución completa de dependencias, solo muestra relaciones directas entre paquetes. Por ejemplo, si A depende de B, C depende de D, y B y C entran en conflicto, “aptitude why-not D” no devolvería la respuesta “A depende de B, B entra en conflicto con C, y D depende de C”.

    De manera predeterminada, aptitude solo muestra la cadena de dependencias “con más paquetes instalados, la más fuerte, precisa y corta”. Esto significa que busca una cadena que solo contiene paquetes instalados o que se van a instalar; busca las dependencias más fuertes posibles bajo ese límite; busca cadenas que evitan dependencias «OR» y «Provides»; y busca la cadena de dependencias más corta que se ajusta a estos criterios. Estas reglas se debilitan de manera progresiva hasta encontrar una correspondencia.

    Si el nivel de verbosidad es 1 o más, se mostrarán todas las explicaciones que aptitude pueda encontrar, en orden inverso de importancia. Si el nivel de verbosidad es 2 o más, se mostrará una cantidad realmente excesiva de información de depuración de fallos a través de la salida estándar.

    Esta orden devuelve 0 si tiene éxito, 1 si no se pudo generar una explicación, y -1 en caso de error.

clean
    Elimina todos los paquetes .deb del directorio almacén de paquetes (generalmente /var/cache/apt/archives).

autoclean
    Elimina todos los paquetes del almacén que ya no se pueden descargar. Esto le permite evitar que un almacén crezca sin control a lo largo del tiempo, sin tener que vaciarlo en su totalidad.

changelog
    Descarga y muestra el registro de cambios de Debian para cada paquete binario o fuente dado.

    De manera predeterminada, se descarga el registro de cambios de la versión que se va a instalar con “aptitude install”. Puede seleccionar una versión en particular de un paquete añadiendo =<versión> al nombre del paquete; puede seleccionar una versión de un archivo o distribución en particular añadiendo /<archivo> o /<distribución>al nombre del paquete (por ejemplo, /unstable o /sid).

download
    Downloads the .deb file for the given package to the current directory.

    This is a thin wrapper over apt(8).

extract-cache-subset
    Copia el directorio de configuración de apt (/etc/apt) y un subconjunto de la base de datos de paquetes al directorio especificado. Si no menciona ningún paquete se copiará la base de datos de paquetes en su totalidad; de otra forma sólo se copiarán las entradas correspondientes a los paquetes nombrados. Cada nombre de paquete puede ser un patrón de búsqueda, y se seleccionarán todos los paquetes que se correspondan con el patrón (consulte la sección “Patrones de búsqueda”). Cualquier base de datos de paquetes presente en el directorio de salida se sobreescribirá.

    Las dependencias en estancias de paquete binarias se reescribirán para eliminar referencias a paquetes que no se encuentren en el conjunto seleccionado.

help
    Muestra un breve resumen de las órdenes disponibles y sus opciones.

OPCIONES

Puede utilizar las siguientes opciones para modificar el comportamiento de las acciones descritas anteriormente. Observe que mientras que todas las órdenes aceptan todas las opciones, algunas opciones no afectan a ciertas órdenes y estas órdenes las ignorarán.

--add-user-tag <etiqueta>
    Para full-upgrade, safe-upgrade, forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, y unmarkauto: añadir la etiqueta de usuario <etiqueta> a todos los paquetes instalados, eliminados o actualizados mediante esta orden, al igual que con la orden add-user-tag.

--add-user-tag-to <etiqueta>,<patrón>
    For full-upgrade, safe-upgrade, forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, and unmarkauto: add the user tag <tag> to all packages that match <pattern> as if with the add-user-tag command. The pattern is a search pattern as described in the section “Search Patterns” in the aptitude reference manual.

    Por ejemplo, aptitude safe-upgrade --add-user-tag-to "new-installs,?action(install)" añadiría la etiqueta new-installs a todos los paquetes instalados mediante la orden safe-upgrade.

--allow-new-upgrades
    Cuando se utiliza el solucionador seguro (esto es, ha introducido --safe-resolver, la opción safe-upgrade, o se define Aptitude::Always-Use-Safe-Resolver con valor de true), permite al solucionador de dependencias instalar actualizaciónes de paquetes independientemente del valor de Aptitude::Safe-Resolver::No-New-Upgrades.

--allow-new-installs
    Permite que la orden safe-upgrade instale paquetes nuevos; cuando se utiliza el solucionador seguro (esto es, ha introducido --safe-resolver, la opción safe-upgrade, o se define Aptitude::Always-Use-Safe-Resolver con valor de true), permite al solucionador de dependencias instalar paquetes nuevos. Esta opción tiene efecto sin importar el valor de Aptitude::Safe-Resolver::No-New-Installs.

--allow-untrusted
    Instala paquetes de fuentes sin firmar sin pedir confirmación. Debería utilizar esto sólo si sabe lo que está haciendo, ya que podría comprometer fácilmente la seguridad de su sistema.

--disable-columns
    Esta opción provoca que no se de ningún formato especial a la salida de resultados de aptitude search y aptitude versions. En particular: generalmente aptitude añade espacios en blanco o trunca los resultados de una búsqueda para encajar éstos en “columnas” verticales. Con esta opción, cada línea se formará reemplazando cualquier escape de formato en la cadena formato con el texto correspondiente; se ignorará el ancho de las columnas.

    Por ejemplo, las primeras líneas de la salida de “aptitude search -F '%p %V' --disable-columns libedataserver” pueden ser:

        disksearch 1.2.1-3
        hp-search-mac 0.1.3
        libbsearch-ruby 1.5-5
        libbsearch-ruby1.8 1.5-5
        libclass-dbi-abstractsearch-perl 0.07-2
        libdbix-fulltextsearch-perl 0.73-10

    Como se aprecia en el ejemplo anterior, --disable-columns es a menudo útil en combinación con un formato de diseño personalizado usando la opción en línea de órdenes -F.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Disable-Columns.

-D, --show-deps
    Muestra explicaciones breves de las instalaciones y eliminaciones automáticas de las órdenes que instalarán o eliminarán paquetes (install, full-upgrade, etc)

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Show-Deps.

-d, --download-only
    Descarga cuántos paquetes se necesitan al almacén de paquetes, pero no instalar o eliminar nada. De manera predeterminada, el almacén de paquetes se guarda en /var/cache/apt/archives.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Download-Only.

-F <formato>, --display-format <formato>
    Specify the format which should be used to display output from the search and versions commands. For instance, passing “%p %v %V” for <format> will display a package's name, followed by its currently installed version and its candidate version (see the section “Customizing how packages are displayed” in the aptitude reference manual for more information).

    La opción en línea de órdenes --disable-columns es a veces útil combinado con -F.

    Para search, esto se corresponde con la opción de configuración Aptitude::CmdLine::Package-Display-Format; para versions, se corresponde con la opción de configuración Aptitude::CmdLine::Version-Display-Format.

-f
    Intenta arreglar agresivamente las dependencias de paquetes rotos, incluso si ello significa ignorar las acciones introducidas en la línea de órdenes.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Fix-Broken.

--full-resolver
    Cuando se encuentren problemas de dependencias de paquetes, utilizar el solucionador predeterminado “full” (completo). A diferencia del solucionador “seguro” (el cual se ejecuta mediante --safe-resolver), el solucionador completo eliminará con alegría cualquier paquete para así cumplir con las dependencias. Puede solucionar más situaciones que el algoritmo seguro, pero puede que sus soluciones sean indeseables.

    This option can be used to force the use of the full resolver even when Aptitude::Always-Use-Safe-Resolver is true.

--group-by <modo-de-agrupación>
    Controla como la orden versions agrupa su salida. Se aceptan los siguientes valores:

        • archive para agrupar paquetes según su archivo (“stable”, “unstable”, etc). Si un paquete aparece en más de un archivo,se mostrará en cada uno de ellos.

        • auto para agrupar las versiones por su paquete a menos que se introduzca exactamente un argumento que no sea un patrón de búsqueda.

        • none para mostrar todas las versiones en una única lista sin ningún modo de agrupación.

        • paquete para agrupar versiones por su paquete.

        • source-package para agrupar versiones según su paquete de fuentes.

        • source-version para agrupar versiones por su paquete fuente y versión de las fuentes.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Versions-Group-By.

-h, --help
    Muestra un breve mensaje de ayuda. Idéntica a la acción help.

--log-file=<fichero>
    Si el <fichero> es una cadena que no esta vacía, en él se escribirán los mensajes del registro. Pero si <fichero> es “-” los mensajes saldrán por la salida convencional. Si introduce esta opción varias veces, la última aparición es la que tiene efecto.

    Esto no afecta al registro de las instalaciones ejecutadas por aptitude (/var/log/aptitude); los mensajes del registro que se escriben con esta configuración incluyen programas internos, eventos, errores, y mensajes de depuración de fallos. Consulte las opciones en línea de órdenes --log-level para controlar qué se registra.

    Esto se corresponde con la opción de configuración Aptitude::Logging::File.

--log-level=<nivel>, --log-level=<categoría>:<nivel>
    --log-level=<nivel> provoca que aptitude registre mensajes cuyo nivel es <nivel>, o superior. Por ejemplo, si define el nivel de registro como error, solo los mensajes al nivel de error y fatal se mostrarían; todos los otros se ocultarían. Los niveles de registro (en orden descendente) son off, fatal, error, warn, info, debug, y trace. El nivel de registro predeterminado es warn.

    --log-level=<categoría>:<nivel> hace que los mensajes pertenecientes a <categoría> se registren solo si su nivel es <nivel> o superior.

    --log-level puede aparecer varias veces en la línea de órdenes; la configuración más específica es la que tiene efecto. Si introduce --log-level=aptitude.resolver:fatal y --log-level=aptitude.resolver.hints.match:trace, los mensajes en aptitude.resolver.hints.parse se imprimirán sólo si su nivel es fatal, pero aquellos mensajes en aptitude.resolver.hints.match se mostrarán. Si configura el nivel de la misma categoría dos o más veces, la última configuración es la que tiene efecto.

    No afecta al registro de las instalaciones ejecutadas por aptitude (/var/log/aptitude); los mensajes del registro que se escriben con esta configuración incluyen programas internos, eventos, errores, y mensajes de depuración de fallos. Consulte las opciones en línea de órdenes --log-file para cambiar dónde se escriben los mensajes de registro.

    Esto se corresponde con el grupo de configuración Aptitude::Logging::Levels.

--log-resolver
    Define algunos niveles estándar del registro relativos al solucionador, para producir una salida del registro apropiada para su procesamiento con herramientas automáticas. Esto equivale a las opciones en línea de órdenes --log-level=aptitude.resolver.search:trace --log-level=aptitude.resolver.search.tiers:warn.

--no-new-installs
    Evita que safe-upgrade instale cualquier paquete nuevo; cuando se utiliza el solucionador seguro (p. ej., introdujo --safe-resolver, o Aptitude::Always-Use-Safe-Resolver tiene valor de «true»), impide que el solucionador de dependencias instale paquetes nuevos. Esta opción tiene efecto independientemente del valor de Aptitude::Safe-Resolver::No-New-Installs.

    Esto imita el comportamiento histórico de apt-get upgrade.

--no-new-upgrades
    Cuando se utiliza el solucionador seguro (p. ej., ha introducido --safe-resolver o se definió Aptitude::Always-Use-Safe-Resolver con valor de true), prohibe al solucionador de dependencias instalar actualizaciones de paquetes independientemente del valor de Aptitude::Safe-Resolver::No-New-Upgrades.

--no-show-resolver-actions
    No muestra las acciones ejecutadas por el solucionador “seguro”, invalidando toda opción de configuración o una orden anterior --show-resolver-actions.

-O <orden>, --sort <orden>
    Define el orden en que se muestra la salida de las órdenes search y versions. Por ejemplo, si introduce “installsize” como la <orden>, mostraría los paquetes de acuerdo a su tamaño una vez instalados (para más información, consulte la sección “Personalizar el orden de los paquetes” en el manual de referencia de aptitude).

    Prepending the order keyword with a tilde character (~) reverses the order from ascending to descending.

    El ordenamiento predeterminado es name,version.

-o <llave>=<valor>
    Define directamente una opción del fichero de configuración; por ejemplo, use -o Aptitude::Log=/tmp/my-log para registrar las acciones de aptitude a /tmp/my-log. Para más información acerca de las opciones del fichero de configuración, consulte la sección “Referencia del fichero de configuración” en el manual de referencia de aptitude.

-P, --prompt
    Siempre pedir una confirmación antes de descargar, instalar o eliminar paquetes, aunque no haya otras acciones programadas más que las que Ud. requirió.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Always-Prompt.

--purge-unused
    Si define Aptitude::Delete-Unused como “true” (su valor predeterminado), además de eliminar cada paquete que ya no necesite ningún otro paquete instalado, aptitude los purgará, borrando sus ficheros de configuración y puede que otros datos importantes. Para más información relativa a qué paquetes se consideran “en desuso”, consulte la sección “Gestionar paquetes automáticamente instalados”. ¡ESTA OPCIÓN PUEDE OCASIONAR PÉRDIDA DE DATOS! ¡NO LA USE A MENOS QUE SEPA LO QUE ESTÁ HACIENDO!

    Esto se corresponde con la opción de configuración Aptitude::Purge-Unused.

-q[=<n>], --quiet[=<n>]
    Elimina todos los indicadores de progreso incrementales, permitiéndole registrar la salida. Puede introducirlo varias veces para disminuir los mensajes del programa, pero al contrario que apt-get, aptitude no activa -y cuando introduce q.

    Se puede utilizar la orden opcional =<número> para configurar directamente la cuantía de silencio (por ejemplo, para invalidar una configuración en /etc/apt/apt.conf); causa que el programa responda como si se hubiese introducido -q <número> veces.

-R, --without-recommends
    No toma recomendaciones como dependencias a la hora de instalar paquetes (esto invalida las configuraciones en /etc/apt/apt.conf y ~/.aptitude/config)

    This corresponds to the pair of configuration options APT::Install-Recommends and APT::AutoRemove::RecommendsImportant.

-r, --with-recommends
    Trata las recomendaciones como dependencias a la hora de instalar paquetes nuevos (esto invalida las configuraciones en /etc/apt/apt.conf y ~/.aptitude/config).

    Esto se corresponde con la opción de configuración APT::Install-Recommends

--remove-user-tag <etiqueta>
    Para full-upgrade, safe-upgrade forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, y unmarkauto: eliminar la etiqueta de usuario <etiqueta> de todos los paquetes que se van a instalar, eliminar o actualizar con esta orden, al igual que con la orden add-user-tag.

--remove-user-tag-from <etiqueta>,<patrón>
    Para full-upgrade, safe-upgrade forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, y unmarkauto: eliminar la etiqueta de usuario <etiqueta> de todos los paquetes que coinciden con <patrón> al igual que con la orden remove-user-tag. El patrón es un patrón de búsqueda como se describe en la sección “Patrones de búsqueda” en el manual de referencia de aptitude.

    Por ejemplo, aptitude safe-upgrade --remove-user-tag-from "not-upgraded,?action(upgrade)" borraría toda etiqueta not-upgraded de cualquier paquete que la orden safe-upgrade pueda actualizar.

-s, --simulate
    En modo de línea de órdenes, imprime las acciones que se tomarían, pero no las ejecuta, sino que las simula. Esto no precisa de privilegios de administrador (root). En la interfaz gráfica, abre el almacén con privilegios de sólo lectura independientemente de si es, o no, el administrador.

    Esto se corresponde con la opción de configuración Aptitude::Simulate.

--safe-resolver
    Cuando se encuentre un problema de dependencias, usar un algoritmo “safe” (seguro) para resolverlos. Este solucionador intenta preservar tantas elecciones suyas como sea posible; nunca eliminará un paquete o instalará una versión que no sea la versión candidata del paquete. Es el mismo algoritmo usado con safe-upgrade; efectivamente, aptitude --safe-resolver full-upgrade equivale aaptitude safe-upgrade. Debido a que safe-upgrade siempre utiliza el solucionador seguro, no acepta la marca --safe-resolver.

    Esta opción equivale a definir la variable de configuración Aptitude::Always-Use-Safe-Resolver como true.

--schedule-only
    Programa las operaciones de las órdenes que modifican el estado de los paquetes, sin ejecutarlos realmente. Puede ejecutar acciones programadas ejecutando aptitude install sin introducir argumentos. Esto equivale a realizar las selecciones correspondientes en la interfaz gráfica, y cerrar el programa tras ello.

    Por ejemplo. aptitude --schedule-only install evolution programa una instalación ulterior para el paquete evolution.

--show-package-names <when>
    Controla cuando la orden versions muestra nombres de paquete. Se aceptan las siguientes opciones:

        • always: muestra nombres de paquete cada vez que se ejecuta aptitude versions.

        • auto: muestra los nombres de paquete cuando se ejecuta aptitude versions si la salida no está agrupada por paquete, y si hay un argumento de búsqueda de patrón o si hay más de un argumento.

        • never: nunca muestra nombres de paquete en la salida de aptitude versions.

    Esta opción se corresponde con la opción de configuración Aptitude::CmdLine::Versions-Show-Package-Names.

--show-resolver-actions
    Muestra las acciones ejecutadas por el solucionador “seguro”, y por safe-upgrade.

    Al ejecutar la orden safe-upgrade o cuando se ha introduce la opción --safe-resolver, aptitude muestra un resumen de las acciones tomadas por el solucionador antes de mstrar la previsualización de la instalación. Esto equivale a la opción de configuración Aptitude::Safe-Resolver::Show-Resolver-Actions.

--show-summary[=<MODO>]
    Modifica el comportamiento de “aptitude why” para que la salida sea un resumen de la cadena de dependencias, mas que mostrar la forma completa. Si esta opción está presente y el <MODO> no es “no-summary”, las cadenas que contengan dependencias del tipo «Sugiere» no se mostrarán: combine --show-summary con -v para ver un resumen de todas las razones por las que el paquete objetivo se va a instalar.

    El <MODO> puede ser cualquiera de los siguientes:

        1. no-summary: no muestra el resumen (el comportamiento predeterminado si no se ha introducido --show-summary).

        2. first-package: muestra el primer paquete de cada cadena. Este es el valor predeterminado de <MODO> si no está presente.

        3. first-package-and-type: muestra el primer paquete de cada cadena, acompañado de la fuerza de la dependencia más débil de la cadena.

        4. all-packages: muestra un resumen de cada cadena de dependencias que lleva al paquete objetivo.

        5. all-packages-with-dep-versions: muestra un resumen de cada cadena de dependencias que conduce al paquete objetivo, incluyendo la versión objetivo de cada dependencia.

    Esta opción se corresponde con la opción de configuración Aptitude::CmdLine::Show-Summary; de estar presente --show-summary en la línea de órdenes, invalidaría Aptitude::CmdLine::Show-Summary.

    Ejemplo 12. Uso de --show-summary. --show-summary en conjunción con -v muestra las razones de porqué un paquete está instalado:

        $ aptitude -v --show-summary why foomatic-db
        Paquetes que dependen de foomatic-db:
          cupsys-driver-gutenprint
          foomatic-db-engine
          foomatic-db-gutenprint
          foomatic-db-hpijs
          foomatic-filters-ppds
          foomatic-gui
          kde
          printconf
          wine
        $ aptitude -v --show-summary=first-package-and-type why foomatic-db
        Paquetes que dependen de foomatic-db:
          [Depende] cupsys-driver-gutenprint
          [Depende] foomatic-db-engine
          [Depende] foomatic-db-gutenprint
          [Depende] foomatic-db-hpijs
          [Depende] foomatic-filters-ppds
          [Depende] foomatic-gui
          [Depende] kde
          [Depende] printconf
          [Depende] wine
        $ aptitude -v --show-summary=all-packages why foomatic-db
        Paquetes que dependen de foomatic-db:
          cupsys-driver-gutenprint D: cups-driver-gutenprint D: cups R: foomatic-filters R: foomatic-db-engine D: foomatic-db
          foomatic-filters-ppds D: foomatic-filters R: foomatic-db-engine D: foomatic-db
          kde D: kdeadmin R: system-config-printer-kde D: system-config-printer R: hal-cups-utils D: cups R: foomatic-filters R: foomatic-db-engine D: foomatic-db
          wine D: libwine-print D: cups-bsd R: cups R: foomatic-filters R: foomatic-db-engine D: foomatic-db
          foomatic-db-engine D: foomatic-db
          foomatic-db-gutenprint D: foomatic-db
          foomatic-db-hpijs D: foomatic-db
          foomatic-gui D: python-foomatic D: foomatic-db-engine D: foomatic-db
          printconf D: foomatic-db
        $ aptitude -v --show-summary=all-packages-with-dep-versions why foomatic-db
        Paquetes que dependen de foomatic-db:
          cupsys-driver-gutenprint D: cups-driver-gutenprint (>= 5.0.2-4) D: cups (>= 1.3.0) R: foomatic-filters (>= 4.0) R: foomatic-db-engine (>= 4.0) D: foomatic-db (>= 20090301)
          foomatic-filters-ppds D: foomatic-filters R: foomatic-db-engine (>= 4.0) D: foomatic-db (>= 20090301)
          kde D: kdeadmin (>= 4:3.5.5) R: system-config-printer-kde (>= 4:4.2.2-1) D: system-config-printer (>= 1.0.0) R: hal-cups-utils D: cups R: foomatic-filters (>= 4.0) R: foomatic-db-engine (>= 4.0) D: foomatic-db (>= 20090301)
          wine D: libwine-print (= 1.1.15-1) D: cups-bsd R: cups R: foomatic-filters (>= 4.0) R: foomatic-db-engine (>= 4.0) D: foomatic-db (>= 20090301)
          foomatic-db-engine D: foomatic-db
          foomatic-db-gutenprint D: foomatic-db
          foomatic-db-hpijs D: foomatic-db
          foomatic-gui D: python-foomatic (>= 0.7.9.2) D: foomatic-db-engine D: foomatic-db (>= 20090301)
          printconf D: foomatic-db

    --show-summary se emplea para mostrar la cadena en una línea:

        $ aptitude --show-summary=all-packages why aptitude-gtk libglib2.0-data
        Paquetes que dependen de libglib2.0-data:
          aptitude-gtk D: libglib2.0-0 R: libglib2.0-data

-t <distribución>, --target-release <distribución>
    Set the release from which packages should be installed. For instance, “aptitude -t experimental ...” will install packages from the experimental distribution unless you specify otherwise.

    This will affect the default candidate version of packages according to the rules described in apt_preferences(5).

    Esto se corresponde con la opción de configuración APT::Default-Release.

-V, --show-versions
    Muestra qué versiones de paquetes se van a instalar.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Show-Versions.

-v, --verbose
    Causa que algunas órdenes, (tales como show) muestren información adicional. Esto se puede introducir varias veces para así obtener más y más información.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Verbose.

--version
    Muestra la versión de aptitude y cierta información acerca de como se compiló.

--visual-preview
    Muestra la pantalla de previsualización de la interfaz gráfica al eliminar o instalar paquetes desde la línea de órdenes, en lugar de la pantalla normal.

-W, --show-why
    En la pantalla de previsualización que se muestra antes de instalar o eliminar paquetes, muestra las dependencias de paquetes manualmente instalados sobre cada paquete automáticamente instalado. Por ejemplo:

        $ aptitude --show-why install mediawiki
        ...
        Se van a instalar los siguientes paquetes NUEVOS:
          libapache2-mod-php5{a} (for mediawiki)  mediawiki  php5{a} (for mediawiki)
          php5-cli{a} (for mediawiki)  php5-common{a} (for mediawiki)
          php5-mysql{a} (for mediawiki)

    En combinación con -v o un valor que no equivalga a 0 para Aptitude::CmdLine::Verbose, mostrar la cadena de dependencias completa que conducen a cada paquete que se va a instalar. Por ejemplo:

        $ aptitude -v --show-why install libdb4.2-dev
        Se instalarán los siguiente paquetes NUEVOS:
          libdb4.2{a} (libdb4.2-dev D: libdb4.2)  libdb4.2-dev
        Se ELIMINARÁN los siguientes paquetes:
          libdb4.4-dev{a} (libdb4.2-dev C: libdb-dev P<- libdb-dev)

    Esta opción también describiría porqué los paquetes se van a eliminar, como puede observar en el texto anterior. En este ejemplo, libdb4.2-dev entra en conflicto con libdb-dev, que provee libdb-dev.

    Este argumento se corresponde con la opción de configuración Aptitude::CmdLine::Show-Why, y muestra la misma información computada por aptitude why y aptitude why-not.

-w <ancho>, --width <ancho>
    Specify the display width which should be used for output from the search and versions commands (in the command line).

    By default and when the output is seen directly in a terminal, the terminal width is used. When the output is redirected or piped, a very large "unlimited" line width is used, and this option is ignored.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Package-Display-Width

-y, --assume-yes
    Cuando se presente una pregunta si/no, se asumirá que el usuario introdujo “si”. En particular, suprime la previsualización final cuando instala, actualizar o elimina paquetes. Aún así, verá preguntas acerca de acciones “peligrosas” tales como eliminar paquetes esenciales. Esta opción invalida -P.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Assume-Yes.

-Z
    Muestra cuanto espacio del disco se va usar o liberar por cada paquete individual que se va a instalar, actualizar, o eliminar.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Show-Size-Changes.

Las siguientes opciones afectan a la interfaz gráfica del programa, pero se han diseñado para un uso interno; generalmente, no tendrá que utilizarlas.

--autoclean-on-startup
    Deletes old downloaded files when the program starts (equivalent to starting the program and immediately selecting Actions → Clean obsolete files). You cannot use this option and “--clean-on-startup”, “-i”, or “-u” at the same time.

--clean-on-startup
    Vacia el almacén de paquetes cuando el programa se inicia (equivale a iniciar el programa y seleccionar inmediatamente Acciones → Limpiar el almacén de paquetes). No puede usar esta opción y “--autoclean-on-startup”, “-i”, o “-u” a la vez.

-i
    Muestra una previsualización de la descarga cuando se inicia el programa (equivale a iniciar el programa y pulsar “g” inmediatamente). No puede utilizar esta opción y “--autoclean-on-startup”, “--clean-on-startup”, o “-u” a la vez.

-S <nombre_de_fichero>
    Carga la información de estado extendida desde <nombre_de_fichero> en lugar del fichero estándar de estado.

-u
    Actualiza la lista de paquetes en cuanto se inicia el programa. No puede usar esta opción y “--autoclean-on-startup”, “--clean-on-startup”, o “-i” a la vez.

ENTORNO

HOME
    Si existe $HOME/.aptitude, aptitude guarda su fichero de configuración en $HOME/.aptitude/config. De otra forma, busca en el directorio de inicio del usuario actual mediante getpwuid(2), y guarda ahí su fichero de configuración.

PAGER
    Si define esta variable de entorno aptitude la usará para mostrar los registros de cambios cuando invoque “aptitude changelog”. De no ser así, su valor predeterminado es more.

TMP
    Si no define TMPDIR, aptitude guardará sus ficheros temporales en TMP si se ha definido esa variable. De no ser así, los guardará en /tmp.

TMPDIR
    aptitude guardará sus ficheros temporales en el directorio indicado en esta variable de entorno. Si no define TMPDIR, se usará TMP; si tampoco ha definido TMP, aptitude usará /tmp.

FICHEROS

/var/lib/aptitude/pkgstates
    El archivo en el que se guardan los estados de los paquetes y algunas marcas de acción.

/etc/apt/apt.conf, /etc/apt/apt.conf.d/*, ~/.aptitude/config
    Los ficheros de configuración de aptitude. ~/.aptitude/config invalida /etc/apt/apt.conf. Véase apt.conf(5) para la documentación relativa al formato y contenido de estos ficheros.

VÉASE TAMBIÉN

apt-get(8), apt(8), /usr/share/doc/aptitude/html/<es>/index.html disponible en el paquete aptitude-doc-<es>

AUTORES

Daniel Burrows <dburrows@debian.org>
    Main author of the document.

Manuel A. Fernandez Montecelo <mafm@debian.org>
    Main maintainer after Daniel Burrows, documentation about new features, corrections and formatting.

COPYRIGHT

Copyright 2004-2011 Daniel Burrows.

Copyright 2014-2016 Manuel A. Fernandez Montecelo

This manual page is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This manual page is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.